# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Low complexity and fast waveform coder
Name:		shorten
Version:	3.6.1
Release:	3.%{__distinit}%{__distvers}
License:	Freeware with further limitations
Group:		Applications/Multimedia
URL:		http://www.etree.org/shnutils/shorten/
Source0:	http://etree.org/shnutils/shorten/dist/src/shorten-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	coreutils
BuildRequires:	gcc
BuildRequires:	make
Conflicts:	perl-WWW-Shorten

%description
shorten is a low complexity and fast waveform coder (i.e. audio
compressor), originally written by Tony Robinson at SoftSound. It can
operate in both lossy and lossless modes.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"

%check
make check

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license doc/LICENSE
%else
%doc doc/LICENSE
%endif
%doc AUTHORS ChangeLog doc/TODO doc/tr156.ps NEWS README
%{_bindir}/shorten
%{_mandir}/man1/shorten.1*

%changelog
* Tue Aug  2 2016 Paul Howarth <paul@city-fan.org> - 3.6.1-3
- Specify build requirements
- Use %%license where possible

* Tue Aug  2 2011 Paul Howarth <paul@city-fan.org> - 3.6.1-2
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 10 2011 Paul Howarth <paul@city-fan.org> - 3.6.1-1
- Initial RPM version
